# Envoy Client

<a href="https://github.com/informatik-ag-ngl/envoy-client"><img src="https://raw.githubusercontent.com/informatik-ag-ngl/envoy-client/develop/src/main/resources/envoy_logo.png" align="left" width="200" height="200"></a>

**Envoy Client** is one of two repositories needed to use the messenger Envoy.<br>
The other one is <a href="https://github.com/informatik-ag-ngl/envoy-common">**Envoy Common**</a>.<br>
In the future, Envoy Common might be discarded, but for now, both Repositories are required in order to use Envoy to send messages to other people.<br>
<br><br><br><br><br>

## Features

Envoy Client features a lot of things and many more are yet to come.
Currently existing features are:

* Users
  * Saving and loading of messages
  * Login via name
  * Settings to change the behavior of _Envoy_
* UI
  * Appealing user interface
  * Changeable themes that store the colors used in _Envoy_
  * Possibility to run _Envoy_ in the Background once it has been started
    * **Attention**: currently works solely on Windows and Mac 
    * Possibility to exit _Envoy_
* Connectivity
  * Sending messages to another person via a predefined server
  * Offline mode
* Programming
  * API to change default configuration
  * Advanced logging possibilities
  * Access without Admin rights possible via local message storage in the home       folder
  * Tons of Events to interact with
  * Detailed Javadoc to improve readability of code
  
## Resources

* [API Reference (later on)](https://github.com/informatik-ag-ngl/envoy-client/wiki)
* [Release Notes](https://github.com/informatik-ag-ngl/envoy-client/releases)
* [Gallery (later on)](https://github.com/informatik-ag-ngl/envoy-client/wiki/Gallery)
* [Wiki](https://github.com/informatik-ag-ngl/envoy-client/wiki)
