package envoy.client.event;

import envoy.data.Message;
import envoy.event.Event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>MessageCreationEvent.java</strong><br>
 * Created: <strong>4 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy v0.2-alpha
 */
public class MessageCreationEvent extends Event<Message> {

	private static final long serialVersionUID = -6451021678064566774L;

	/**
	 * @param message the {@link Message} that has been created
	 */
	public MessageCreationEvent(Message message) { super(message); }
}
