package envoy.client.event;

import envoy.data.Message;
import envoy.event.Event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>MessageModificationEvent.java</strong><br>
 * Created: <strong>4 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy v0.2-alpha
 */
public class MessageModificationEvent extends Event<Message> {

	private static final long serialVersionUID = 4650039506439563116L;

	/**
	 * @param message the {@link Message} that has been modified
	 */
	public MessageModificationEvent(Message message) { super(message); }
}
